# _PathDot2
<span class="source-link">[[Source]](src/files/path.md#L5)</span>
```pony
primitive val _PathDot2
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/path.md#L5)</span>


```pony
new val create()
: _PathDot2 val^
```

#### Returns

* [_PathDot2](files-_PathDot2.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/files/path.md#L6)</span>


```pony
fun box eq(
  that: _PathDot2 val)
: Bool val
```
#### Parameters

*   that: [_PathDot2](files-_PathDot2.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/files/path.md#L6)</span>


```pony
fun box ne(
  that: _PathDot2 val)
: Bool val
```
#### Parameters

*   that: [_PathDot2](files-_PathDot2.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

